Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.sortedmerge
Class RowSetRow

    java.lang.Object
      org.pentaho.di.trans.steps.sortedmerge.RowSetRow

    public class RowSetRow

extends Object

Constructor Summary
`RowSetRow(org.pentaho.di.core.RowSet rowSet, org.pentaho.di.core.row.RowMetaInterface rowMeta, Object[] rowData)`

Method Summary
`Object[]` | `getRowData()`
`org.pentaho.di.core.row.RowMetaInterface` | `getRowMeta()`
`org.pentaho.di.core.RowSet` | `getRowSet()`
`void` | `setRowData(Object[] rowData)`
`void` | `setRowMeta(org.pentaho.di.core.row.RowMetaInterface rowMeta)`
`void` | `setRowSet(org.pentaho.di.core.RowSet rowSet)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowSetRow

    public RowSetRow(org.pentaho.di.core.RowSet rowSet,
                     org.pentaho.di.core.row.RowMetaInterface rowMeta,
                     Object[] rowData)

Parameters:
  `rowSet` -
  `rowData` -

Method Detail

### getRowSet

    public org.pentaho.di.core.RowSet getRowSet()

  Returns:
    the rowSet

### setRowSet

    public void setRowSet(org.pentaho.di.core.RowSet rowSet)

  Parameters:
    `rowSet` - the rowSet to set

### getRowData

    public Object[] getRowData()

  Returns:
    the rowData

### setRowData

    public void setRowData(Object[] rowData)

  Parameters:
    `rowData` - the rowData to set

### getRowMeta

    public org.pentaho.di.core.row.RowMetaInterface getRowMeta()

  Returns:
    the rowMeta

### setRowMeta

    public void setRowMeta(org.pentaho.di.core.row.RowMetaInterface rowMeta)

  Parameters:
    `rowMeta` - the rowMeta to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD